Subject: Re: bug#54034: 29.0.50; Diff prettify broken for empty files

From: Stefan Monnier <[email-masked]>
Date: Sun, 20 Feb 2022 09:40:52 -0500

Matthias Meulien [2022-02-20 08:58:05] wrote:
> Matthias Meulien <[email-masked]> writes:
>> When `diff-font-lock-prettify' is non-nil, the fontification of a diff
>> where an empty file is added to a Git project is broken:
> For binary files, there's an analog problem: One would expect
> `diff-font-lock-prettify' to hide the "diff --git", "index", etc. lines
> and display a user friendly line.

Ah... now I understand: when I looked at your previous email, I couldn't
see what you thought was wrong, it all looked correct to me, because
what you describe is "not a bug", it's a missing feature ;-)

It should be easy to handle those cases as well.
Can you suggest a good replacement?  (i.e. what should we display
instead of the "diff --git ..." stuff)

        Stefan